"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.onMod = void 0;
class onMod {
    constructor(page, browser, options, ev) {
        this.page = page;
        this.browser = browser;
        this.options = options;
        this.ev = ev;
    }
    interfaceChange() {
        this.page.evaluate(() => {
            const getData = () => {
                return {
                    displayInfo: window.Store.Stream.displayInfo,
                    mode: window.Store.Stream.mode,
                    info: window.Store.Stream.info
                };
            };
            window.Store.Stream.on('change:info change:displayInfo change:mode', () => {
                window.interfaceChange(getData());
            });
            window.interfaceChange(getData());
        }).catch((e) => { console.log(e); });
    }
    newMessage() {
        this.page.evaluate(() => {
            let isHeroEqual = {};
            window.Store.Msg.on('add', (newMessage) => {
                if (!Object.is(isHeroEqual, newMessage)) {
                    isHeroEqual = newMessage;
                    if (newMessage && newMessage.isNewMsg) {
                        window.newMessage(API.serializeMessageObj(newMessage));
                    }
                }
            });
        }).catch(() => { });
    }
    newOnAck() {
        this.page.evaluate(() => {
            let isHeroEqual = {};
            window.Store.Msg.on('change:ack', (newOnAck) => {
                if (!Object.is(isHeroEqual, newOnAck)) {
                    isHeroEqual = newOnAck;
                    if (newOnAck) {
                        window.newOnAck(newOnAck);
                    }
                }
            });
        }).catch(() => { });
    }
}
exports.onMod = onMod;
//# sourceMappingURL=on-wpp.js.map